%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define pythonver %(%{__python} -c "import sys; print sys.version[:3]")

%define buildflags WXPORT=gtk2 UNICODE=1 WX_CONFIG=/usr/bin/wx-2.6-config

Name:           compat-wxPython26
Version:        2.6.3.3
Release:        1.1.cf%{?dist}

Summary:        GUI toolkit for the Python programming language, version 2.6

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.wxpython.org/
Source0:        http://downloads.sf.net/wxpython/wxPython-src-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# /usr/bin/wxrc-2.6 may come from a wxPython-devel or compat-wxPython26 package
BuildRequires:  /usr/bin/wxrc-2.6
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel, libpng-devel, libjpeg-devel, libtiff-devel
BuildRequires:  libGL-devel, libGLU-devel
BuildRequires:  python-devel, wxGTK-gl, wxGTK-devel

# packages should depend on "wxPython", not "wxPythonGTK2", but in case
# one does, here's the provides for it.
Provides:       wxPythonGTK2 = %{version}-%{release}

# For unversioned files not included in this package
Requires:       wxPython

%description
wxPython is a GUI toolkit for the Python programming language. It allows
Python programmers to create programs with a robust, highly functional
graphical user interface, simply and easily. It is implemented as a Python
extension module (native code) that wraps the popular wxWindows cross
platform GUI library, which is written in C++.

%package        devel
Group:          Development/Libraries
Summary:        Development files for wxPython add-on modules
Requires:       %{name} = %{version}-%{release}
Requires:       wxGTK-devel

%description devel
This package includes C++ header files and SWIG files needed for developing
add-on modules for wxPython. It is NOT needed for development of most
programs which use the wxPython toolkit.


%prep
%setup -q -n wxPython-src-%{version}

# Turn off exec bits in samples packaged as docs
find wxPython/{demo,samples} -type f | xargs %{__chmod} -x


%build
# Just build the wxPython part, not all of wxWindows which we already have
# in Fedora
cd wxPython
# included distutils is not multilib aware; use normal
rm -rf distutils
python setup.py %{buildflags} build


%install
rm -rf $RPM_BUILD_ROOT
cd wxPython
python setup.py %{buildflags} install --root=$RPM_BUILD_ROOT
cd -

# this is a kludge....
%if "%{python_sitelib}" != "%{python_sitearch}"
mv $RPM_BUILD_ROOT%{python_sitelib}/wx.pth  $RPM_BUILD_ROOT%{python_sitearch}
mv $RPM_BUILD_ROOT%{python_sitelib}/wxversion.py* $RPM_BUILD_ROOT%{python_sitearch}
%endif

# Fix permissions of shared objects
find %{buildroot}%{python_sitearch} -name '*.so' | xargs %{__chmod} 755

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitelib}/wxPython*.egg-info ]; then
  echo %{buildroot}%{python_sitearch}/wx-2.6*/wx*.egg-info
  echo %{buildroot}%{python_sitelib}/wxPython*.egg-info
  echo '%exclude' %{buildroot}%{python_sitelib}/wxaddons*.egg-info
fi | %{__sed} -e 's|%{buildroot}||' > egg-info


%clean
rm -rf $RPM_BUILD_ROOT


%files -f egg-info
%defattr(-,root,root,-)
%doc wxPython/docs wxPython/demo wxPython/licence/ wxPython/samples
%exclude %{_bindir}/*
%exclude %{python_sitearch}/wx.pth
%exclude %{python_sitearch}/wxversion.py*
%dir %{python_sitearch}/wx-2.6-gtk2-unicode/
%{python_sitearch}/wx-2.6-gtk2-unicode/wx
%{python_sitearch}/wx-2.6-gtk2-unicode/wxPython
%exclude %{python_sitelib}/wxaddons/

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/wx-2.6/wx/wxPython/
%{_includedir}/wx-2.6/wx/wxPython/*.h
%dir %{_includedir}/wx-2.6/wx/wxPython/i_files
%{_includedir}/wx-2.6/wx/wxPython/i_files/*.i
%{_includedir}/wx-2.6/wx/wxPython/i_files/*.py*
%{_includedir}/wx-2.6/wx/wxPython/i_files/*.swg


%changelog
* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 2.6.3.3-1.1.cf
- rebuild for python 2.7 in Rawhide

* Fri Apr 25 2008 Paul Howarth <paul@city-fan.org> - 2.6.3.3-1.0.CF
- update to 2.6.3.3
- update source URL to use downloads.sf.net instead of dl.sf.net
- remove patches, problems now fixed upstream
- exclude new wxaddons code from package (not in versioned directory)
- buildrequire /usr/bin/wxrc-2.6, not compat-wxGTK26-devel = 2.6.3
- force use of /usr/bin/wx-2.6-config rather than autodetect
- handle egg-info if present
- use approved license tag
- fix up permissions that rpmlint didn't like

* Mon Aug 13 2007 Paul Howarth <paul@city-fan.org>
- buildrequire wxGTK-devel

* Mon Jan 29 2007 Paul Howarth <paul@city-fan.org>
- compat package created, with files that would conflict with the main
  wxPython package excluded
- fix compiler errors with char * being assigned a const char * value,
  and for use of Py_ssize_t in python > 2.4

* Mon Aug 28 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.2-2
- bump release for FC6 rebuild

* Thu Apr 13 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.2-1
- version 2.6.3.2
- move wxversion.py _into_ lib64. Apparently that's the right thing to do. :)
- upstream tarball no longer includes embedded.o (since I finally got around
  to pointing that out to the developers instead of just kludging it away.)
- buildrequires to just libGLU-devel instead of mesa-libGL-devel

* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-4
- grr. bump relnumber.

* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-3
- oh yeah -- wxversion.py not lib64.

* Fri Mar 31 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-2
- buildrequires mesa-libGLU-devel

* Thu Mar 30 2006 Matthew Miller <mattdm@mattdm.org> - 2.6.3.0-1
- update to 2.6.3.0
- wxGTK and wxPython versions are inexorably linked; make BuildRequires
  be exact, rather than >=.
- make devel subpackage as per comment #7 in bug #163440.

* Thu Nov 24 2005 Matthew Miller <mattdm@mattdm.org> - 2.6.1.0-1
- update to 2.6.0.0
- merge in changes from current extras 2.4.x package
- Happy Thanksgiving
- build animate extention again -- works now.

* Thu Apr 28 2005 Matthew Miller <mattdm@bu.edu> - 2.6.0.0-bu45.1
- get rid of accidental binaries in source tarball -- they generates
  spurious dependencies and serve no purpose
- update to 2.6.0.0 and build for Velouria
- switch to Fedora Extras base spec file
- enable gtk2 and unicode and all the code stuff (as FE does)
- disable BUILD_ANIMATE extension from contrib -- doesn't build
- files are in a different location now -- adjust to that
- zap include files (needed only for building wxPython 3rd-party modules),
  because I don't think this is likely to be very useful. Other option
  would be to create a -devel package, but I think that'd be confusing.

* Tue Feb 08 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:2.4.2.4-4
- remove included disutils - it is not multilib aware; this
  fixes build on x86_64

* Tue Jan 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.3
- rename package to wxPythonGTK2, provide wxPython (see bug 927)
- dont ship binaries in /usr/share

* Thu Nov 20 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.2
- add missing buildrequires: python-devel, wxGTK2-gl

* Sun Nov 02 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.1
- Initial RPM release.
~
